IncludePath (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.types.IncludePath class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.types
Class IncludePath

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.Path
                  net.sf.antcontrib.cpptasks.types.ConditionalPath
                      net.sf.antcontrib.cpptasks.types.IncludePath

All Implemented Interfaces:
  java.lang.Cloneable

    public class IncludePath

extends ConditionalPath

An include path. Works like other paths in Ant with with the addition of "if" and "unless" conditions.

Author:
  Curt Arnold

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.tools.ant.types.Path
`org.apache.tools.ant.types.Path.PathElement`

Field Summary

Fields inherited from class org.apache.tools.ant.types.Path
`systemBootClasspath, systemClasspath`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`IncludePath(org.apache.tools.ant.Project project)`
`IncludePath(org.apache.tools.ant.Project p, java.lang.String path)`

Method Summary
`void` | `execute()`

Methods inherited from class net.sf.antcontrib.cpptasks.types.ConditionalPath
`isActive, setIf, setUnless`

Methods inherited from class org.apache.tools.ant.types.Path
`add, addDirset, addExisting, addExisting, addExtdirs, addFilelist, addFileset, addJavaRuntime, append, clone, concatSystemClasspath, concatSystemClasspath, createPath, createPathElement, dieOnCircularReference, list, setLocation, setPath, setRefid, size, toString, translateFile, translateFileSep, translatePath`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncludePath

    public IncludePath(org.apache.tools.ant.Project project)

### IncludePath

    public IncludePath(org.apache.tools.ant.Project p,
                       java.lang.String path)

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.